--- old/usr/src/man/man3secdb/getauthattr.3secdb	Mon Aug 13 11:38:21 2018
+++ new/usr/src/man/man3secdb/getauthattr.3secdb	Mon Aug 13 11:38:22 2018
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETAUTHATTR 3SECDB "Feb 20, 2009"
+.TH GETAUTHATTR 3SECDB "Aug 13, 2018"
 .SH NAME
 getauthattr, getauthnam, free_authattr, setauthattr, endauthattr, chkauthattr
 \- get authorization entry
@@ -43,7 +43,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBgetauthattr()\fR and \fBgetauthnam()\fR functions each return an
 \fBauth_attr\fR(4) entry. Entries can come from any of the sources specified in
@@ -95,7 +94,7 @@
 given authorization is in any profiles specified with the \fBPROFS_GRANTED\fR
 keyword. If a match is not found from the default authorizations and default
 profiles, \fBchkauthattr()\fR reads the \fBuser_attr\fR(4) database. If it does
-not find a match in  \fBuser_attr\fR, it reads the \fBprof_attr\fR(4) database,
+not find a match in \fBuser_attr\fR, it reads the \fBprof_attr\fR(4) database,
 using the list of profiles assigned to the user, and checks if any of the
 profiles assigned to the user has the given authorization.  The
 \fBchkauthattr()\fR function returns 0 if it does not find a match in any of
@@ -109,7 +108,7 @@
 .ie t \(bu
 .el o
 The authorization name matches exactly any authorization assigned in the
-\fBuser_attr\fR or  \fBprof_attr\fR databases (authorization names are
+\fBuser_attr\fR or \fBprof_attr\fR databases (authorization names are
 case-sensitive).
 .RE
 .RS +4
@@ -116,7 +115,7 @@
 .TP
 .ie t \(bu
 .el o
-The authorization name suffix is not the key word  \fBgrant\fR and the
+The authorization name suffix is not the key word \fBgrant\fR and the
 authorization name matches any authorization up to the asterisk (*) character
 assigned in the \fBuser_attr\fR or \fBprof_attr\fR databases.
 .RE
@@ -131,10 +130,9 @@
 box;
 c | c | c
 c | c | c .
-	\f(CW/etc/security/policy.conf\fR or	Is user
+	\fB/etc/security/policy.conf\fR or	Is user
+\fBAuthorization name\fR	\fBuser_attr\fR or \fBprof_attr\fR entry	authorized?
 _
-\fBAuthorization name\fR	\fBuser_attr\fR or \fB\fR \fBprof_attr\fR entry	authorized?
-_
 solaris.printer.postscript	solaris.printer.postscript	Yes
 solaris.printer.postscript	solaris.printer.*	Yes
 solaris.printer.grant	solaris.printer.*	No
@@ -143,16 +141,15 @@
 .sp
 .LP
 The \fBfree_authattr()\fR function releases memory allocated by the
-\fBgetauthnam()\fR and  \fBgetauthattr()\fR functions.
+\fBgetauthnam()\fR and \fBgetauthattr()\fR functions.
 .SH RETURN VALUES
-.sp
 .LP
-The \fBgetauthattr()\fR function returns a pointer to an  \fBauthattr_t\fR if
+The \fBgetauthattr()\fR function returns a pointer to an \fBauthattr_t\fR if
 it successfully enumerates an entry; otherwise it returns \fINULL\fR,
 indicating the end of the enumeration.
 .sp
 .LP
-The \fBgetauthnam()\fR function returns a pointer to an  \fBauthattr_t\fR if it
+The \fBgetauthnam()\fR function returns a pointer to an \fBauthattr_t\fR if it
 successfully locates the requested entry; otherwise it returns \fINULL\fR.
 .sp
 .LP
@@ -159,7 +156,6 @@
 The \fBchkauthattr()\fR function returns 1 if the user is authorized and 0 if
 the user does not exist or is not authorized.
 .SH USAGE
-.sp
 .LP
 The \fBgetauthattr()\fR and \fBgetauthnam()\fR functions both allocate memory
 for the pointers they return. This memory should be deallocated with the
@@ -169,18 +165,16 @@
 Individual attributes in the \fBattr\fR structure can be referred to by calling
 the \fBkva_match\fR(3SECDB) function.
 .SH WARNINGS
-.sp
 .LP
-Because the list of legal keys is likely to expand, code  must be written to
+Because the list of legal keys is likely to expand, code must be written to
 ignore unknown key-value pairs without error.
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/etc/nsswitch.conf\fR\fR
 .ad
 .RS 29n
-configuration file lookup information for the name server switch
+configuration file lookup information for the name service switch
 .RE
 
 .sp
@@ -220,7 +214,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -236,8 +229,8 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBgetexecattr\fR(3SECDB), \fBgetprofattr\fR(3SECDB),
-\fBgetuserattr\fR(3SECDB), \fBauth_attr\fR(4), \fBnsswitch.conf\fR(4),
-\fBprof_attr\fR(4), \fBuser_attr\fR(4), \fBattributes\fR(5), \fBrbac\fR(5)
+\fBgetexecattr\fR(3SECDB), \fBgetprofattr\fR(3SECDB), \fBgetuserattr\fR(3SECDB),
+\fBkva_match\fR(3SECDB), \fBauth_attr\fR(4), \fBnsswitch.conf\fR(4),
+\fBpolicy.conf\fR(4), \fBprof_attr\fR(4), \fBuser_attr\fR(4),
+\fBattributes\fR(5), \fBrbac\fR(5)
--- old/usr/src/man/man3secdb/getexecattr.3secdb	Mon Aug 13 11:38:22 2018
+++ new/usr/src/man/man3secdb/getexecattr.3secdb	Mon Aug 13 11:38:22 2018
@@ -1,9 +1,10 @@
 '\" te
+.\" Copyright 2018 Peter Tribble
 .\" Copyright (c) 2005, Sun Microsystems, Inc.  All Rights Reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETEXECATTR 3SECDB "May 27, 2014"
+.TH GETEXECATTR 3SECDB "Aug 13, 2018"
 .SH NAME
 getexecattr, free_execattr, setexecattr, endexecattr, getexecuser, getexecprof,
 match_execattr \- get execution profile entry
@@ -51,7 +52,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBgetexecattr()\fR function returns a single \fBexec_attr\fR(4) entry.
 Entries can come from any of the sources specified in the
@@ -60,19 +60,19 @@
 .LP
 Successive calls to \fBgetexecattr()\fR return either successive
 \fBexec_attr\fR entries or \fINULL\fR. Because \fBgetexecattr()\fR always
-returns a single entry, the \fBnext\fR pointer in the  \fBexecattr_t\fR data
+returns a single entry, the \fBnext\fR pointer in the \fBexecattr_t\fR data
 structure points to \fINULL\fR.
 .sp
 .LP
 The internal representation of an \fBexec_attr\fR entry is an \fBexecattr_t\fR
-structure defined in  <\fBexec_attr.h\fR> with the following members:
+structure defined in <\fBexec_attr.h\fR> with the following members:
 .sp
 .in +2
 .nf
 char              *name;   /* name of the profile */
-char              *type;   /* type of profile */
 char              *policy; /* policy under which the attributes are */
                            /* relevant*/
+char              *type;   /* type of profile */
 char              *res1;   /* reserved for future use */
 char              *res2;   /* reserved for future use */
 char              *id;     /* unique identifier */
@@ -116,7 +116,7 @@
 returned.
 .sp
 .LP
-Using \fBgetexecuser()\fR and \fBgetexecprof()\fR, programmers can search  for
+Using \fBgetexecuser()\fR and \fBgetexecprof()\fR, programmers can search for
 any \fItype\fR argument, such as the manifest constant \fBKV_COMMAND\fR. The
 arguments are logically AND-ed together so that only entries exactly matching
 all of the arguments are returned. Wildcard matching applies if there is no
@@ -125,7 +125,7 @@
 search_flag controls whether the function returns the first match
 (\fBGET_ONE\fR), setting the \fBnext\fR pointer to \fINULL\fR or all matching
 entries (\fBGET_ALL\fR), using the \fBnext\fR pointer to create a linked list
-of all entries that meet the search criteria. See  \fBEXAMPLES\fR.
+of all entries that meet the search criteria. See \fBEXAMPLES\fR.
 .sp
 .LP
 Once a list of entries is returned by \fBgetexecuser()\fR or
@@ -138,14 +138,12 @@
 \fBkva_match\fR(3SECDB) function can be used to look up a key in a key-value
 array.
 .SH RETURN VALUES
-.sp
 .LP
 Those functions returning data only return data related to the active policy.
-The \fBgetexecattr()\fR function returns a pointer to a  \fBexecattr_t\fR if it
+The \fBgetexecattr()\fR function returns a pointer to a \fBexecattr_t\fR if it
 successfully enumerates an entry; otherwise it returns \fINULL\fR, indicating
 the end of the enumeration.
 .SH USAGE
-.sp
 .LP
 The \fBgetexecattr()\fR, \fBgetexecuser()\fR, and \fBgetexecprof()\fR functions
 all allocate memory for the pointers they return. This memory should be
@@ -158,7 +156,7 @@
 the \fBkva_match\fR(3SECDB) function.
 .SH EXAMPLES
 .LP
-\fBExample 1 \fRFind all profiles that have the  \fBping\fR command.
+\fBExample 1 \fRFind all profiles that have the \fBping\fR command.
 .sp
 .in +2
 .nf
@@ -188,7 +186,7 @@
 .sp
 .in +2
 .nf
-if ((execprof=getexecprof("Filesystem Security", KV_NULL, NULL,
+if ((execprof=getexecprof("Filesystem Security", NULL, NULL,
     GET_ALL))==NULL)) {
         /* do error */
 }
@@ -200,12 +198,6 @@
 wetmore. If there is no exact profile entry, the wildcard (*), if defined, is
 returned.
 .sp
-.LP
-The following tells if the \fBtar\fR utility is in a profile assigned to user
-wetmore. If there is no exact profile entry, the wildcard (*), if defined, is
-returned.
-
-.sp
 .in +2
 .nf
 if ((execprof=getexecuser("wetmore", KV_COMMAND, "/usr/bin/tar",
@@ -216,13 +208,12 @@
 .in -2
 
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/etc/nsswitch.conf\fR\fR
 .ad
 .RS 29n
-configuration file lookup information for the name server switch
+configuration file lookup information for the name service switch
 .RE
 
 .sp
@@ -252,8 +243,16 @@
 policy definitions
 .RE
 
-.SH ATTRIBUTES
 .sp
+.ne 2
+.na
+\fB\fB/etc/security/prof_attr\fR\fR
+.ad
+.RS 29n
+profile information
+.RE
+
+.SH ATTRIBUTES
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -269,8 +268,8 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBgetauthattr\fR(3SECDB), \fBgetuserattr\fR(3SECDB), \fBkva_match\fR(3SECDB),
-\fBexec_attr\fR(4), \fBpasswd\fR(4), \fBpolicy.conf\fR(4), \fBprof_attr\fR(4),
-\fBuser_attr\fR(4), \fBattributes\fR(5)
+\fBgetauthattr\fR(3SECDB), \fBgetprofattr\fR(3SECDB), \fBgetuserattr\fR(3SECDB),
+\fBkva_match\fR(3SECDB), \fBexec_attr\fR(4), \fBpasswd\fR(4),
+\fBpolicy.conf\fR(4), \fBprof_attr\fR(4), \fBuser_attr\fR(4),
+\fBattributes\fR(5)
--- old/usr/src/man/man3secdb/getprofattr.3secdb	Mon Aug 13 11:38:22 2018
+++ new/usr/src/man/man3secdb/getprofattr.3secdb	Mon Aug 13 11:38:22 2018
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETPROFATTR 3SECDB "Mar 31, 2005"
+.TH GETPROFATTR 3SECDB "Aug 13, 2018"
 .SH NAME
 getprofattr, getprofnam, free_profattr, setprofattr, endprofattr, getproflist,
 free_proflist \- get profile description and attributes
@@ -47,7 +47,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBgetprofattr()\fR and \fBgetprofnam()\fR functions each return a
 \fBprof_attr\fR entry. Entries can come from any of the sources specified in
@@ -61,7 +60,7 @@
 .sp
 .LP
 The internal representation of a \fBprof_attr\fR entry is a \fBprofattr_t\fR
-structure defined in  <\fBprof_attr.h\fR> with the following members:
+structure defined in <\fBprof_attr.h\fR> with the following members:
 .sp
 .in +2
 .nf
@@ -81,7 +80,7 @@
 .LP
 The \fBsetprofattr()\fR function "rewinds" to the beginning of the enumeration
 of \fBprof_attr\fR entries. Calls to \fBgetprofnam()\fR can leave the
-enumeration in an indeterminate state. Therefore,  \fBsetprofattr()\fR should
+enumeration in an indeterminate state. Therefore, \fBsetprofattr()\fR should
 be called before the first call to \fBgetprofattr()\fR.
 .sp
 .LP
@@ -102,7 +101,6 @@
 \fBgetproflist()\fR function.  The \fIprofcnt\fR argument specifies the number
 of items to free from the \fIproflist\fR argument.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBgetprofattr()\fR function returns a pointer to a \fBprofattr_t\fR if it
 successfully enumerates an entry; otherwise it returns \fINULL\fR, indicating
@@ -112,13 +110,12 @@
 The \fBgetprofnam()\fR function returns a pointer to a \fBprofattr_t\fR if it
 successfully locates the requested entry; otherwise it returns \fINULL\fR.
 .SH USAGE
-.sp
 .LP
-Individual attributes in the \fBprof_attr_t\fR structure can be referred to by
+Individual attributes in the \fBprofattr_t\fR structure can be referred to by
 calling the \fBkva_match\fR(3SECDB) function.
 .sp
 .LP
-Because the list of legal keys is likely to expand, any code  must be written
+Because the list of legal keys is likely to expand, any code must be written
 to ignore unknown key-value pairs without error.
 .sp
 .LP
@@ -126,7 +123,6 @@
 for the pointers they return. This memory should be deallocated with the
 \fBfree_profattr()\fR function.
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/etc/security/prof_attr\fR\fR
@@ -136,7 +132,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -152,7 +147,7 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBauths\fR(1), \fBprofiles\fR(1), \fBgetexecattr\fR(3SECDB),
-\fBgetauthattr\fR(3SECDB), \fBprof_attr\fR(4)
+\fBgetauthattr\fR(3SECDB), \fBkva_match\fR(3SECDB), \fBprof_attr\fR(4),
+\fBattributes\fR(5)
--- old/usr/src/man/man3secdb/getuserattr.3secdb	Mon Aug 13 11:38:22 2018
+++ new/usr/src/man/man3secdb/getuserattr.3secdb	Mon Aug 13 11:38:22 2018
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETUSERATTR 3SECDB "Mar 31, 2005"
+.TH GETUSERATTR 3SECDB "Aug 13, 2018"
 .SH NAME
 getuserattr, getusernam, getuseruid, free_userattr, setuserattr, enduserattr,
 fgetuserattr \- get user_attr entry
@@ -47,7 +47,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBgetuserattr()\fR, \fBgetusernam()\fR, and \fBgetuseruid()\fR functions
 each return a \fBuser_attr\fR(4) entry. Entries can come from any of the
@@ -93,7 +92,6 @@
 processing is complete; the library may then close any open \fBuser_attr\fR
 file, deallocate any internal storage, and so forth.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBgetuserattr()\fR function returns a pointer to a \fBuserattr_t\fR if it
 successfully enumerates an entry; otherwise it returns \fINULL\fR, indicating
@@ -103,7 +101,6 @@
 The \fBgetusernam()\fR function returns a pointer to a \fBuserattr_t\fR if it
 successfully locates the requested entry; otherwise it returns \fINULL\fR.
 .SH USAGE
-.sp
 .LP
 The \fBgetuserattr()\fR and \fBgetusernam()\fR functions both allocate memory
 for the pointers they return. This memory should be deallocated with the
@@ -112,13 +109,11 @@
 .LP
 Individual attributes can be referenced in the \fBattr\fR structure by calling
 the \fBkva_match\fR(3SECDB) function.
-.SH WARININGS
-.sp
+.SH WARNINGS
 .LP
-Because the list of legal keys is likely to expand, code  must be written to
+Because the list of legal keys is likely to expand, code must be written to
 ignore unknown key-value pairs without error.
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/etc/user_attr\fR\fR
@@ -133,11 +128,10 @@
 \fB\fB/etc/nsswitch.conf\fR\fR
 .ad
 .RS 22n
-configuration file lookup information for the name server switch
+configuration file lookup information for the name service switch
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -153,7 +147,7 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBgetauthattr\fR(3SECDB), \fBgetexecattr\fR(3SECDB),
-\fBgetprofattr\fR(3SECDB), \fBuser_attr\fR(4), \fBattributes\fR(5)
+\fBgetprofattr\fR(3SECDB), \fBkva_match\fR(3SECDB), \fBuser_attr\fR(4),
+\fBattributes\fR(5)
--- old/usr/src/man/man3secdb/kva_match.3secdb	Mon Aug 13 11:38:22 2018
+++ new/usr/src/man/man3secdb/kva_match.3secdb	Mon Aug 13 11:38:22 2018
@@ -3,13 +3,13 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH KVA_MATCH 3SECDB "Aug 12, 1999"
+.TH KVA_MATCH 3SECDB "Aug 13, 2018"
 .SH NAME
 kva_match \- look up a key in a key-value array
 .SH SYNOPSIS
 .LP
 .nf
-cc [ \fIflag\fR... ] \fIfile\fR...- lsecdb [ \fIlibrary\fR... ]
+cc [ \fIflag\fR... ] \fIfile\fR... -lsecdb [ \fIlibrary\fR... ]
 #include <secdb.h>
 
 \fBchar *\fR\fBkva_match\fR(\fBkva_t *\fR\fIkva\fR, \fBchar *\fR\fIkey\fR);
@@ -16,7 +16,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBkva_match()\fR function searches a \fBkva_t\fR structure, which is part
 of the  \fBauthattr_t\fR, \fBexecattr_t\fR, \fBprofattr_t\fR, or
@@ -25,12 +24,10 @@
 pointer to the first corresponding value that matches that key.  Otherwise, the
 function returns \fINULL\fR.
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, the function returns a pointer to the value sought.
 Otherwise, it returns \fINULL\fR.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -46,12 +43,10 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBgetauthattr\fR(3SECDB), \fBgetexecattr\fR(3SECDB),
 \fBgetprofattr\fR(3SECDB), \fBgetuserattr\fR(3SECDB)
 .SH NOTES
-.sp
 .LP
 The \fBkva_match()\fR function returns a pointer to data that already exists in
 the key-value array. It does not allocate its own memory for this pointer but
